=== debian/changelog ===
xstrp4 (1.8-4build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:18:42 +0000

xstrp4 (1.8-4) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.01.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:30:23 +0100

xstrp4 (1.8-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:24:12 +0100

xstrp4 (1.8-2) unstable; urgency=low

  * Team upload
  * Do not create empty /usr/bin
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 23:03:48 +0200

xstrp4 (1.8-1) unstable; urgency=low

  * Initial release. (Closes: #605575)

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 01 Dec 2010 14:15:44 +0000
