=== debian/control ===
Source: xstrp4
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlp4
Standards-Version: 3.9.1
Homepage: http://projects.camlcity.org/projects/xstrp4.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/xstrp4.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/xstrp4.git

Package: libxstrp4-camlp4-dev
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: camlp4 extension that expands brace expansions in OCaml string
 This camlp4 syntax extension interprets the dollar notation ${name} in
 strings and in included files.
 .
 It can:
  * include whole file in your OCaml code
  * define a format '%x' conversion to display variables
  * interpolate '$x' as well as '${x}
  * take into account record field and module names
