=== debian/watch ===
version=3
http://download.camlcity.org/download/xstrp4-(\d+.*)\.tar\.gz
