## xstrp4 1.8.1

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,8 @@
 
 .PHONY: install
 install: all
-	$(OCAMLFIND) install $(NAME) *.cmi *.cma META
+	$(OCAMLFIND) install $(NAME) *.cmi *.cma META \
+		-patch-version `./configure -version`
 
 .PHONY: uninstall
 uninstall:
