=== debian/changelog ===
xstrp4 (1.8.1-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:22:04 -0600

xstrp4 (1.8.1-3) unstable; urgency=medium

  * Team upload.
  * Fix package dependencies by not using dh-ocaml.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 22:23:53 +0200

xstrp4 (1.8.1-2) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Oct 2015 10:46:36 +0200

xstrp4 (1.8.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.6
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 May 2015 20:10:57 -0300
