=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-findlib,
   dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~),
+  debhelper (>= 9),
   camlp4
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Homepage: http://projects.camlcity.org/projects/xstrp4.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/xstrp4.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/xstrp4.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/xstrp4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/xstrp4.git
 
 Package: libxstrp4-camlp4-dev
 Architecture: all
-Depends: ${ocaml:Depends}, ${misc:Depends}
-Provides: ${ocaml:Provides}
+Depends: libcamlp4-ocaml-dev, ocaml-nox-${F:OCamlABI}, ${misc:Depends}
 Recommends: ocaml-findlib
 Description: camlp4 extension that expands brace expansions in OCaml string
  This camlp4 syntax extension interprets the dollar notation ${name} in
