=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export OCAMLFIND_LDCONF
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
@@ -41,3 +41,7 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+.PHONY: override_dh_gencontrol
+override_dh_gencontrol:
+	dh_gencontrol -- -VF:OCamlABI="$(OCAML_ABI)"
