## xstrp4 1.8.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 OBJECTS  = xstrp4_here_types.cmo xstrp4_here_lexer.cmo xstrp4_here.cmo
 ARCHIVE  = xstrp4.cma
 NAME     = xstrp4
-REQUIRES =
+REQUIRES = bytes
 
 all: $(ARCHIVE)
 
@@ -25,7 +25,7 @@
 
 sample: sample.ml 
 	ocamlfind ocamlc \
-	  -package xstrp4 -syntax camlp4o \
+	  -package xstrp4 -syntax camlp4o -linkpkg \
 	  sample.ml \
 	  -o sample
 
@@ -36,7 +36,8 @@
 # general rules:
 
 OPTIONS   =
-OCAMLC    = $(OCAMLFIND) ocamlc $(OPTIONS) $(CAMLP4_OPTS)
+OCAMLC    = $(OCAMLFIND) ocamlc -g $(STRING_OPTS) $(OPTIONS) $(CAMLP4_OPTS) -package "$(REQUIRES)"
+OCAMLOPT  = $(OCAMLFIND) ocamlopt -g $(STRING_OPTS) $(OPTIONS) $(CAMLP4_OPTS) -package "$(REQUIRES)"
 OCAMLDEP  = ocamldep $(OPTIONS)
 OCAMLFIND = ocamlfind
 
@@ -57,7 +58,6 @@
 .PHONY: clean
 clean:
 	rm -f *.cmi *.cmo *.cma *.cmx *.o *.a *.cmxa sample
-	rm -f xstrp4_here.ml
 
 .PHONY: distclean
 distclean: clean
