=== debian/changelog ===
xstrp4 (1.8.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml-$ABI instead of ocaml-nox-$ABI

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Jan 2022 16:19:53 +0100

xstrp4 (1.8.2-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 16:35:31 +0100

xstrp4 (1.8.2-3) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 13:45:59 +0200

xstrp4 (1.8.2-2) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 16:43:26 +0100

xstrp4 (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.1.4, no changes required
  * Update Vcs-* fields to target Salsa, instead of Alioth
  * Use upstream provided build system

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 10:02:44 +0200

xstrp4 (1.8.1-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 09:44:09 +0200
