=== debian/control ===
Source: xstrp4
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml,
  ocaml-findlib,
  dh-ocaml,
  debhelper-compat (= 13),
  camlp4
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://projects.camlcity.org/projects/xstrp4.html
Vcs-Git: https://salsa.debian.org/ocaml-team/xstrp4.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/xstrp4

Package: libxstrp4-camlp4-dev
Architecture: all
Depends: libcamlp4-ocaml-dev, ocaml-${F:OCamlABI}, ${misc:Depends}
Recommends: ocaml-findlib
Description: camlp4 extension that expands brace expansions in OCaml string
 This camlp4 syntax extension interprets the dollar notation ${name} in
 strings and in included files.
 .
 It can:
  * include whole file in your OCaml code
  * define a format '%x' conversion to display variables
  * interpolate '$x' as well as '${x}
  * take into account record field and module names
