=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/libxstrp4-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml --no-parallel

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure

#.PHONY: override_dh_auto_build
#override_dh_auto_build:

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(MAKE) install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean distclean

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:OCamlABI="$(OCAML_ABI)"
